> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/28.-amlyh-tadyl-hfz-adh-mlahzat-amlyh-dfayh.md).

# 28. عملية تعديل: حفظ عدة "ملاحظات"، عملية دفعية

تسمح هذه الطفرة بإرفاق ملاحظات متعددة إلى حقل محدد.

{% hint style="success" %}
الحد الأقصى لعدد الملاحظات التي يمكن حفظها هو 25.
{% endhint %}

{% hint style="success" %}
أضف الـ `uuid` الخاصية إلى الإدخال لتحديث الملاحظة.
{% endhint %}

* يمكن ربط الملاحظة بالمزرعة عبر معرفها الفريد `fieldUuid،`  إلى مجموعة بيانات التربة المرتبطة عبر `soilDatasetUuid`، إلى خريطة المناطق عبر `vectorAnalysisMapUuid`.
* يمكن تعيين إحداثية الملاحظة باستخدام `centroid` الخاصية، والتي تتطلب تعريف `latitude` و `longitude` القيم.&#x20;
* يمكن تحديد نوع الملاحظة باستخدام `النوع` الخاصية بقيم مقبولة هي `PLANNED` أو `REAL`.&#x20;
* يمكن توفير وصف الملاحظة باستخدام `comment` الخاصية. إذا احتاج الوصف إلى عدة أسطر، فـ `comment` الخاصية على سلسلة تحتوي على أحرف سطر جديد `\\n` لفصل الأسطر. على سبيل المثال: `"السطر الأول. هنا\\nالسطر الثاني هنا.\\nالسطر الثالث هنا."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
طفرات BatchSaveNotes {
  saveNotes(إدخال:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {خط العرض: 51.177747، خط الطول: -113.533613},
      type: PLANNED،
      comment: "حفظ بالجُملة: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {خط العرض: 51.177747، خط الطول: -113.533613},
      type: REAL,
      comment: "تحديث بالجُملة: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {خط العرض: 51.177747، خط الطول: -113.533613},
      type: REAL,
      comment: "حفظ بالجُملة: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {خط العرض: 51.177747، خط الطول: -113.533613},
      type: REAL,
      comment: "حفظ بالجُملة: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358د"
    }
  ]
  } ) {
    uuid
    معرف_الحقل
    تاريخ الإنشاء
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/28.-amlyh-tadyl-hfz-adh-mlahzat-amlyh-dfayh.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
